// WinThreadsDlg.h : header file
//

#if !defined(AFX_WINTHREADSDLG_H__3F0A4169_FC9B_4C6C_A07E_C8D405F54ABA__INCLUDED_)
#define AFX_WINTHREADSDLG_H__3F0A4169_FC9B_4C6C_A07E_C8D405F54ABA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWinThreadsDlg dialog

class CWinThreadsDlg : public CDialog
{

private:
  // Enum and methods for governing GUI elements -- Stan Birchfield
  typedef enum { MYTHREAD_IDLE, MYTHREAD_LOWEST, MYTHREAD_BELOW_NORMAL, MYTHREAD_NORMAL, MYTHREAD_ABOVE_NORMAL, MYTHREAD_HIGHEST, MYTHREAD_TIME_CRITICAL } ThreadPriority;
  void EnableDisable(bool running);
  ThreadPriority GetPriority();
  void OnPriorityChanged();

  // Insert your variables and/or methods here


// Construction
public:
	CWinThreadsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWinThreadsDlg)
	enum { IDD = IDD_WINTHREADS_DIALOG };
	CButton	m_button_kill;
	CButton	m_button_stop;
	CButton	m_button_start;
	CEdit	m_edit_output;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinThreadsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWinThreadsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonStart();
	afx_msg void OnButtonStop();
	afx_msg void OnRadioIdle();
	afx_msg void OnRadioLowest();
	afx_msg void OnRadioBelowNormal();
	afx_msg void OnRadioNormal();
	afx_msg void OnRadioAboveNormal();
	afx_msg void OnRadioHighest();
	afx_msg void OnRadioTimeCritical();
	afx_msg void OnButtonKill();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINTHREADSDLG_H__3F0A4169_FC9B_4C6C_A07E_C8D405F54ABA__INCLUDED_)
